Subject: linux-next: manual merge of the powerpc-mpe tree with the powerpc tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 13 Apr 2015 13:30:15 +1000

Hi all,

Today's linux-next merge of the powerpc-mpe tree got a conflict in
arch/powerpc/platforms/powernv/pci-ioda.c between commit 6e628c7d33d9
("powerpc/powernv: Reserve additional space for IOV BAR according to
the number of total_pe") from the powerpc tree and commit 65ebf4b6370e
("powerpc/powernv: Move controller ops from ppc_md to controller_ops")
from the powerpc-mpe tree.

I fixed it up (see below) and can carry the fix as necessary (no action
is required).

-- 
Cheers,
Stephen Rothwell                    [email-masked]

diff --cc arch/powerpc/platforms/powernv/pci-ioda.c
index 5ac7c60a8801,5e917753c672..000000000000
--- a/arch/powerpc/platforms/powernv/pci-ioda.c
+++ b/arch/powerpc/platforms/powernv/pci-ioda.c
@@@ -2808,13 -2103,9 +2809,13 @@@ static void __init pnv_pci_init_ioda_ph
  	 * the child P2P bridges) can form individual PE.
  	 */
  	ppc_md.pcibios_fixup = pnv_pci_ioda_fixup;
- 	ppc_md.pcibios_enable_device_hook = pnv_pci_enable_device_hook;
- 	ppc_md.pcibios_window_alignment = pnv_pci_window_alignment;
- 	ppc_md.pcibios_reset_secondary_bus = pnv_pci_reset_secondary_bus;
+ 	pnv_pci_controller_ops.enable_device_hook = pnv_pci_enable_device_hook;
+ 	pnv_pci_controller_ops.window_alignment = pnv_pci_window_alignment;
+ 	pnv_pci_controller_ops.reset_secondary_bus = pnv_pci_reset_secondary_bus;
 +#ifdef CONFIG_PCI_IOV
 +	ppc_md.pcibios_fixup_sriov = pnv_pci_ioda_fixup_iov_resources;
 +	ppc_md.pcibios_iov_resource_alignment = pnv_pci_iov_resource_alignment;
 +#endif /* CONFIG_PCI_IOV */
  	pci_add_flags(PCI_REASSIGN_ALL_RSRC);
  
  	/* Reset IODA tables to a clean state */